curl --request GET \
--url https://campaignservice-staging.withbenji.com/templates \
--header 'Authorization: Bearer <token>'{
"campaigns": [
{
"id": 1,
"name": "<string>",
"campaign_type": 1,
"created_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"campaign_logo": "<string>",
"merchant_id": 2,
"partner_id": 2,
"partnership_id": 2,
"is_active": 0,
"is_deleted": 0,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"activation_date": "2023-11-07T05:31:56Z",
"owner_id": 1,
"is_template": 0,
"template_id": 123,
"total_rewards": 1,
"campaign_flows": [
{
"id": 1,
"campaign_id": 2,
"trigger_type": 1,
"is_active": 0,
"is_deleted": 0,
"created_date": "2023-11-07T05:31:56Z",
"custom_trigger_id": 123,
"actions": [
{
"action_type": 1,
"partner_id": 2,
"base_reward": 1,
"id": 0,
"extra_data": {}
}
],
"conditions": [
{
"partner_id": 2,
"campaign_condition_type": 1,
"condition_operator": 1,
"or_and_operator": 1,
"id": 0,
"condition_attribute": 123,
"condition_value": "<unknown>"
}
],
"multipliers": [
{
"partner_id": 2,
"multiplier_attribute_type": 1,
"multiplier_attribute": 123,
"multiplier_amount": 1,
"id": 0,
"multiplier_value": 123
}
],
"limits": [
{
"partner_id": 2,
"limit_type": 1,
"min_max": 1,
"campaign_limit_value": 1,
"id": 0,
"campaign_limit_trigger_type": 1,
"campaign_limit_trigger_time_range": 1
}
]
}
],
"goals": [
{
"partner_id": 2,
"goal_type": 1,
"goal_value": 1,
"goal_operator": 1,
"id": 0
}
]
}
]
}curl --request GET \
--url https://campaignservice-staging.withbenji.com/templates \
--header 'Authorization: Bearer <token>'{
"campaigns": [
{
"id": 1,
"name": "<string>",
"campaign_type": 1,
"created_date": "2023-11-07T05:31:56Z",
"description": "<string>",
"campaign_logo": "<string>",
"merchant_id": 2,
"partner_id": 2,
"partnership_id": 2,
"is_active": 0,
"is_deleted": 0,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"activation_date": "2023-11-07T05:31:56Z",
"owner_id": 1,
"is_template": 0,
"template_id": 123,
"total_rewards": 1,
"campaign_flows": [
{
"id": 1,
"campaign_id": 2,
"trigger_type": 1,
"is_active": 0,
"is_deleted": 0,
"created_date": "2023-11-07T05:31:56Z",
"custom_trigger_id": 123,
"actions": [
{
"action_type": 1,
"partner_id": 2,
"base_reward": 1,
"id": 0,
"extra_data": {}
}
],
"conditions": [
{
"partner_id": 2,
"campaign_condition_type": 1,
"condition_operator": 1,
"or_and_operator": 1,
"id": 0,
"condition_attribute": 123,
"condition_value": "<unknown>"
}
],
"multipliers": [
{
"partner_id": 2,
"multiplier_attribute_type": 1,
"multiplier_attribute": 123,
"multiplier_amount": 1,
"id": 0,
"multiplier_value": 123
}
],
"limits": [
{
"partner_id": 2,
"limit_type": 1,
"min_max": 1,
"campaign_limit_value": 1,
"id": 0,
"campaign_limit_trigger_type": 1,
"campaign_limit_trigger_time_range": 1
}
]
}
],
"goals": [
{
"partner_id": 2,
"goal_type": 1,
"goal_value": 1,
"goal_operator": 1,
"id": 0
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
The list of campaign objects matching the query criteria. Each object contains complete campaign details including configuration, reward structure, eligibility criteria, and performance metrics. Returns an empty list if no campaigns match the criteria.
Show child attributes
Was this page helpful?